/*
 *  Draco Econometrics
 *  Copyright (C) 2006-2007 Approximatrix, LLC
 *  http://www.approximatrix.com
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.approximatrix.draco.math.mesp.psuedologic;

import com.graphbuilder.math.func.Function;

/** Provides some simple 'and' functionality.  If both arguments are 
 * greater than zero, it will return 1.0, otherwise it will return 0.0.
 *  
 * @author armstrongj
 *
 */
public class AndFunction implements Function {

	public AndFunction() {}
	
	public double of(double[] arg0, int arg1) {
		double return_value = 0.0;
		
		if(arg1 == 2) {
			if(arg0[0] > 0.0 && arg0[1] > 0.0)
				return_value = 1.0;
		}
		return return_value;
	}

	public boolean acceptNumParam(int arg0) {
		return arg0==2;
	}
	
	public String toString() {
		return "and(x,y)";
	}

}
